i2c_start equ $083C
i2c_write equ $0846
i2c_read  equ $086F
i2c_readlast equ $08BB
i2c_stop  equ $08E5
ReadEEByte equ $0e04


        org $101
char    jsr get96
        ora #$05
        sta $96
        jmp write4bit

cmd     jsr get96
        ora #$04
        sta $96
        jmp write4bit

cmd8    jsr get96
        ora #$04
        sta $96
        jmp write8bit

setL    jsr i2c_readlast
        ldx $92
        jsr i2c_start
        lda $96
        and #$08
        ora $94
        tax
        jsr i2c_write
        jsr i2c_stop
        jmp coneeprom

get96   jsr i2c_readlast
        lda $96
        and #$08
        rts
        
write8bit
        ldx $92
        jsr i2c_start
        lda $94
        jsr writenibble
        jsr i2c_stop
        jmp coneeprom
       

write4bit
        ldx $92
        jsr i2c_start
        lda $94
        jsr writenibble
        lda $94
        asla
        asla
        asla
        asla
        jsr writenibble
        jsr i2c_stop
  ;     jmp coneeprom

        
coneeprom 
        ldx #$0A0
        jsr i2c_start
        ldx $066
        jsr i2c_write
        ldx $067
        jsr i2c_write
        ldx #$0A1
        jsr i2c_start
        rts

print:
	jsr ReadEEByte
	bra getchar
printchar:
        jsr char
getchar:
	jsr ReadEEByte
	sta $94
	bne printchar
	rts

writenibble
        and #$F0
        ora $96 ;register fr LCD-Beleuchtung, RS, R/W
        tax
        and #$FB
        sta $93
        jsr i2c_write
        ldx $93
        jsr i2c_write
        rts
        
        